- [HTTP request](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/delete#body.aspect)

Deletes a Google Workspace subscription. To learn how to use this method, see [Delete a Google Workspace subscription](https://developers.google.com/workspace/events/guides/delete-subscription).

### HTTP request

`DELETE https://workspaceevents.googleapis.com/v1/{name=subscriptions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the subscription to delete. Format: `subscriptions/{subscription}` |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` Optional. If set to `true`, validates and previews the request, but doesn't delete the subscription. |
| `allowMissing` | `boolean` Optional. If set to `true` and the subscription isn't found, the request succeeds but doesn't delete the subscription. |
| `etag` | `string` Optional. Etag of the subscription. If present, it must match with the server's etag. Otherwise, request fails with the status `ABORTED`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/events/reference/rest/v1/operations#Operation`.

- The `metadata` field contains an empty array.
- The `response` field is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.bot`
- `
  https://www.googleapis.com/auth/chat.spaces`
- `
  https://www.googleapis.com/auth/chat.spaces.readonly`
- `
  https://www.googleapis.com/auth/chat.messages`
- `
  https://www.googleapis.com/auth/chat.messages.readonly`
- `
  https://www.googleapis.com/auth/chat.messages.reactions`
- `
  https://www.googleapis.com/auth/chat.messages.reactions.readonly`
- `
  https://www.googleapis.com/auth/chat.memberships`
- `
  https://www.googleapis.com/auth/chat.memberships.readonly`
- `
  https://www.googleapis.com/auth/meetings.space.created`
- `
  https://www.googleapis.com/auth/meetings.space.readonly`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).